   PROGRAM main_ddt
   
    USE param
    USE inputdata
	USE drag3

    type (data_in):: data_in1
       
	type (data_outdef) :: data_outdef1
	
    
	type (data_par) :: data_par1

	
    open (1,file='4_ddt.txt')
	
   do i = 1,1000000
   read (1,*,end=100) data_in1%ws,  data_in1%dt       
   
     	
	 CALL surf_flux(data_in1, data_outdef1, data_par1)



 enddo 

100 continue 

10 format (4i4,5f7.1,f7.4,f7.1)
20 format (4i4,5f7.1,f7.4,f7.1)

stop
END PROGRAM